###########################################################################
#
# win32.mak -- Makefile for file txt2db
# Copyright (C) 1999 DigiLib Systems Ltd, All rights reserved
#
###########################################################################


PACKAGE = txt2db
VERSION = 
 
AR = lib
CC = cl
#CFLAGS = -g -O 
CPPFLAGS = 
DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN -D__STL_NO_NEW_IOSTREAMS \
-DGSDL_NAMESPACE_BROKEN -DSHORT_SUFFIX
INCLUDES = -I. -I..\..\lib -I..\..\packages\mg\lib \
	   -Id:\home\dl\stl\stlport -I..\..\packages\wingdbm
LIBS = ..\..\packages\mg\lib\unitool.obj ..\..\lib\gsdllib.lib \
       ..\..\lib\gsdlunicode.obj ..\..\packages\wingdbm\gdbm.lib
GSDLOS = windows

COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe
 
HEADERS = 

SOURCES = txt2db.cpp

OBJECTS = txt2db.obj

EXEC = txt2db$e
 
all : $(EXEC)

install: $(EXEC)
	copy -s $(EXEC) ../../bin/$(GSDLOS)/$(EXEC)

clean:
	del *.obj
	del $(EXEC)

TXT2DB_OBJS = txt2db$o

txt2db$e: $(TXT2DB_OBJS) $(LIBS)
	  $(LINK) $(TXT2DB_OBJS) $(LIBS)
